%define name	perl-Maui
%define	version	0.0.5
%define release	3mdk
%define pver 5.8.0

Summary:  	Perl5 modules for Maui Scheduler
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://hepwww.ph.qmul.ac.uk/	
Source:		%{name}-%{version}.tar.bz2
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
Buildarch:	noarch

%description
The Maui Scheduler is Free Software licensed under the GNU General Public
License. It is designed for parallel batch scheduling
(custom message-passing or MPI-based jobs) on medium to
large clusters. The Maui Scheduler is meant to be a complete
replacement for proprietary schedulers like LSF or PBS.
Check http://mauischeduler.sourceforge.net/

This is Perl5 modules for using the scheduler.
 
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -fr $RPM_BUILD_ROOT

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc README doc/* MANIFEST LICENSE Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.0.5-3mdk
- add description, buildrequires (scherer.michael@free.fr)

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.5-2mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.0.5-1mdk
- first release for Mandrakesoft
